--- kdebase.spec	2008-08-27 13:43:35 +0400
+++ kdebase_new.spec	2008-09-09 14:35:06 +0400
@@ -354,6 +354,30 @@
 %description kcontrol
 The KDE Control Center allows you to tweak the KDE settings
 
+%package themes-modern
+Summary: The modern KDE themes
+Group: Graphical desktop/KDE
+Requires: %name-kcontrol = %version-%release
+#
+%description themes-modern
+The modern KDE themes
+
+%package themes-highcontrast
+Summary: The highcontrast KDE themes
+Group: Graphical desktop/KDE
+Requires: %name-kcontrol = %version-%release
+#
+%description themes-highcontrast
+The highcontrast KDE themes
+
+%package themes-others
+Summary: The others KDE themes
+Group: Graphical desktop/KDE
+Requires: %name-kcontrol = %version-%release
+#
+%description themes-others
+The others KDE themes
+
 %package kdm
 Summary: KDE Display Manager
 Group: Graphical desktop/KDE
@@ -489,7 +513,30 @@
 %patch601 -p0
 #
 %patch603 -p0
-%patch604 -p0
+%patch604 -p0+%package themes-modern
++Summary: The modern KDE themes
++Group: Graphical desktop/KDE
++Requires: %name-kcontrol = %version-%release
++#
++%description themes-modern
++The modern KDE themes
++
++%package themes-highcontrast
++Summary: The highcontrast KDE themes
++Group: Graphical desktop/KDE
++Requires: %name-kcontrol = %version-%release
++#
++%description themes-highcontrast
++The highcontrast KDE themes
++
++%package themes-others
++Summary: The others KDE themes
++Group: Graphical desktop/KDE
++Requires: %name-kcontrol = %version-%release
++#
++%description themes-others
++The others KDE themes
+
 %patch605 -p0
 %patch606 -p0
 %patch607 -p0
@@ -1785,7 +1832,8 @@
 %_datadir/apps/kfontview/
 %_datadir/apps/kinfocenter/
 %_datadir/apps/konqueror/servicemenus/installfont.desktop
-%_datadir/apps/kthememanager/
+%dir %_datadir/apps/kthememanager/
+%dir %_datadir/apps/kthememanager/themes/
 %_datadir/mimelnk/application/x-ktheme.desktop
 %_datadir/mimelnk/fonts/folder.desktop
 %_datadir/mimelnk/fonts/system-folder.desktop
@@ -1799,6 +1847,23 @@
 %doc %_docdir/HTML/en/kinfocenter
 %_datadir/applications/kde/kcm_kdnssd.desktop
 
+%files themes-modern
+%_datadir/apps/kthememanager/themes/Keramik/
+%_datadir/apps/kthememanager/themes/Plastik/
+
+%files themes-highcontrast
+%_datadir/apps/kthememanager/themes/HighContrastDark/
+%_datadir/apps/kthememanager/themes/HighContrastDark-big/
+%_datadir/apps/kthememanager/themes/HighContrastLight/
+%_datadir/apps/kthememanager/themes/HighContrastLight-big/
+%_datadir/apps/kthememanager/themes/YellowOnBlue/
+%_datadir/apps/kthememanager/themes/YellowOnBlue-big/
+
+%files themes-others
+%_datadir/apps/kthememanager/themes/KDE_Classic/
+%_datadir/apps/kthememanager/themes/Platinum/
+%_datadir/apps/kthememanager/themes/Redmond/
+%_datadir/apps/kthememanager/themes/Sunshine/
 
 %files devel
 %if %_keep_libtool_files